【JavaScript】jQueryのバージョンを上げたら動かなくなったぞ

jQueryのバージョンを1.2.3から1.12.4にあげたところ、動かなくなったので原因を調べてみた

・attrとprop

こちらの記事を参考

バージョンによって解釈が違うらしい

attrを使っていたのだが返り値がundefineだったのでfalseで判定しようとしたところエラーとなっていた

これはpropで書き換えて対応

・click()とon(“click”)

click()を使っていた

.on()メソッドはjQuery1.7からなので注意

シェアする

  • このエントリーをはてなブックマークに追加

フォローする